For the complete documentation index, see llms.txt. This page is also available as Markdown.

List the style guide check runs of a site

Returns the site's style guide check runs, most recent first. Use the styleguideRun filter on the organization change requests endpoint to get the change requests a run opened.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
200

OK

application/json
countnumberOptional

Total count of objects in the list

get/orgs/{organizationId}/sites/{siteId}/styleguide/runs
GET /v1/orgs/{organizationId}/sites/{siteId}/styleguide/runs HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "next": {
    "page": "text"
  },
  "count": 1,
  "items": [
    {
      "object": "styleguide-run",
      "id": "text",
      "site": "text",
      "styleguide": "text",
      "spaces": [
        "text"
      ],
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": {
        "object": "user",
        "id": "text",
        "displayName": "text",
        "email": "text",
        "photoURL": "text",
        "urls": {
          "location": "https://example.com"
        }
      }
    }
  ]
}

Last updated

Was this helpful?